2014-03-31 16:05 - Dave Vieglais

Status: New Start date: 2014-03-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

Regarding the style: The types are fully mutable with no filed validations or constraints.  This leads to very fragile code by

unwitting developers.

Suggest adding JSR 303 annotations to fields (@Null, @NotNull, @Email, @Size etc)

Suggest adding constructors / static factories to assist in correct usage

Consider making them all interfaces and provide immutable implementations

probably the overhead of this is too large, and means implementators have to register factories in e.g. Jixb

this one is debatable, as these are probably used only for unmarshalling from XML which is known to be valid

although on the response, it allows people to easily produce bad XML

hmmmmmm, tricky one - will come back to this

History

#1 - 2014-05-12 19:31 - Rob Nahf

- Subject changed from - Regarding the style: The types are fully mutable with no filed validations or constraints.  to - Regarding the style: The types

are fully mutable with no field validations or constraints. 

#2 - 2014-05-12 19:35 - Rob Nahf

see also BeanValidation JCP project (unless it is what is being suggested by JSR 303)

http://beanvalidation.org/news/2013/05/02/bean-validation-1-1-is-a-spec/

#3 - 2014-10-01 20:43 - Dave Vieglais

- Target version set to Release Backlog
